// $Id: RandBreitWigner.inl,v 1.1.1.1 2000/04/03 21:03:45 wilko Exp $
// -*- C++ -*-
// 
// -----------------------------------------------------------------------
//                             HEP Random
//                       --- RandBreitWigner ---
//                 inlined functions implementation file
// -----------------------------------------------------------------------
// This file is part of Geant4 (simulation toolkit for HEP).
 
// =======================================================================
// Gabriele Cosmo - Created: 19th August 1998
// =======================================================================

inline RandBreitWigner::RandBreitWigner(HepRandomEngine & anEngine,
                                        HepDouble a, HepDouble b )
: localEngine(&anEngine), deleteEngine(false), defaultA(a),
  defaultB(b) {}

inline RandBreitWigner::RandBreitWigner(HepRandomEngine * anEngine,
                                        HepDouble a, HepDouble b )
: localEngine(anEngine), deleteEngine(true), defaultA(a),
  defaultB(b) {}
