
#include <stdio.h>
#include <stdlib.h>
#include <iostream>
#include "TROOT.h"
#include "Event/centellaSys.h"
#include "Event/optionManager.h"
#include "Event/processManager.h"

//--------------------------------------------
//  JA Hernando         Santa Cruz, 02/16/00
//--------------------------------------------
//! Centella main 
//--------------------------------------------

void main(int argc, char* argv[])
{
	/*! initialize ROOT*/
	TROOT rootSys("tree","example");

	/*! create the centella system */
	centellaSys* centella = new centellaSys();

	/*! it sets the arguments into the optionManager */
	optionManager::instance()->setOption(argc, argv);
	
	/*! it runs the application */
	processManager::instance()->runApplication();
}
