#ifndef TowerEndRunHistoFolder_h
#define TowerEndRunHistoFolder_h

#include "Event/rHistoFolder.h"

#include "analysis/selectionData.h"

//###############################
class TowerEndRunHistoFolder : public rHistoFolder
//###############################
{
public:
	
	//! root Histogram and Ntuples to be filled at the end of the run

	//! constructor
	TowerEndRunHistoFolder() {m_selData = 0;};
	~TowerEndRunHistoFolder() {}

	//! fill the histos/ntuples of this "rHistoFolder"
	virtual void fill();
	//! define the histos/ntuples of this "rHistoFolder"
	virtual void define();
	
private:
	//! ntuple for the results of the selection apply to analyse the events
	/*! It containes the counters of the # of events that pass the selection cuts*/
	void ntupleDefine(selectionData* selData);
	void ntupleFill(selectionData* selData);
private:

	selectionData* m_selData;
};
#endif