#include "RootTree/rHistoReconServer.h"

#include "RootTree/SiHistoFolder.h"
#include "RootTree/CalHistoFolder.h"
#include "RootTree/TowerHistoFolder.h"
#include "RootTree/BeamTaggerHistoFolder.h"
#include "RootTree/TowerEndRunHistoFolder.h"

//###############################
void rHistoReconServer::defineHistoFolders()
//###############################
{
	/*! add rHistoFolders */
	addHistoFolder("SiHistoFolder", new SiHistoFolder() );
	addHistoFolder("CalHistoFolder", new CalHistoFolder() );
	addHistoFolder("TowerHistoFolder", new TowerHistoFolder());
	addHistoFolder("BeamTaggerHistoFolder", new BeamTaggerHistoFolder());
	addHistoFolder("TowerEndRunHistoFolder", new TowerEndRunHistoFolder ());

	/*! make fill algorithms */
	makeAlgorithms();
}
