#ifndef SELECTIONDATA_H
#define SELECTIONDATA_H

#include "Event/trsDataVI.h"
#include <string>
#include <vector>


//#####################################
class selectionData: public trsDataVI
//#####################################
{
public:

	// construct
	selectionData() {clear();}
	~selectionData() {}
	virtual void ini();

	// access 
	bool valid()                const {return m_valid;}
	int num()                   const {return m_cutsList.size();}
	std::string cutName(int i)  const {return (i<num()?m_cutsList[i]:"");}
	int counter(int i)          const {return (i<num()?m_counter[i]:0);}

	// operations
	virtual void clear();
	virtual void make() {};
	virtual void writeOut() const;
	void setValid(bool valid) {m_valid = valid;}
	void increase(int icut) {m_counter[icut]++;}

private:

	bool m_valid;

	std::vector<std::string> m_cutsList;
	std::vector<int>    m_counter;
};
#endif
