#include "analysis/tbHeaderAlg.h"
#include "Event/dataManager.h"

//####################################
void tbHeaderAlg::define()
//####################################
{
	m_tbHeader = dataManager::instance()->getData("tbHeader",m_tbHeader);
	m_sirecs   = dataManager::instance()->getData("SiRecObjs",m_sirecs);
	m_rawEvtID = dataManager::instance()->getData("rawEventID",m_rawEvtID);
	setDefine(true);
}
//####################################
void tbHeaderAlg::initialize()
//####################################
{
	if (!defined()) define();
	m_tbHeader->clear();
}
//####################################
void tbHeaderAlg::execute()
//####################################
{
	// int ievt = dataManager::instance()->IO()->eventNumber();
	int ievt = m_rawEvtID->eventID();
	m_tbHeader->setEvent(ievt);

	int track = 0;
	if (m_sirecs->numGammas() >=1) track=1;
	m_tbHeader->setInfoTkr(track);

}