// $Header: /cvs/tb_recon/centellaGUI/main.cpp,v 1.11 2000/07/26 21:02:46 heather Exp $
// Main program for glastsim application


//#include <windows.h>
#include <stdio.h>
#include <stdlib.h>
#include <iostream>
#include <float.h> // for _controlfp, etc.
#include <iostream>
#include <float.h> // for _controlfp, etc.
#include <iostream>
//#include <iostream>
//#include "centellaGUI/AppliGUI.h"
#include "TROOT.h"
#include "centellaGUI/Isolde.h"
#include "Event/optionManager.h"

#if defined(_DEBUG) && defined (_MSC_VER)
#  include <CRTDBG.H>
#endif
#ifdef _MSC_VER


extern "C" void UserMain(int argc, char *argv[]);  
#define main(ARGC,ARGV) UserMain(ARGC,ARGV)
#endif


// #define _Windows

/*
// all that's needed for user main (here as an example)
#if defined( _Windows ) || defined(WIN32)
extern "C" void UserMain(int argc, char *argv[]);  
// needed to start up user's program 
//
#endif



/*
#if defined(_DEBUG) && defined (_MSC_VER)
#  include <CRTDBG.H>
#endif
#ifdef _MSC_VER
#endif
*/


/*
// this entry needed for the Windows environmnet
#ifdef _WIN32
extern "C" int UserMain(int argc, char *argv[])
{
    return main(argc, argv);
}
#endif
*/

// class appliGUI;

void main(int argc, char* argv[])
{

	TROOT rootSys("Tree","RootSystem");
	
	Isolde isol(argc,argv);	

	optionManager::instance()->setOption(argc,argv);

	isol.run();

    // stolen code from GLASTSIM
#if defined(_DEBUG) && defined (_MSC_VER)
    // this to verify that memory has been released
    _CrtSetDbgFlag( _CrtSetDbgFlag( _CRTDBG_REPORT_FLAG ) | _CRTDBG_LEAK_CHECK_DF);
#endif

}
