#ifndef cutEvtRead_H
#define cutEvtRead_H

#include "Event/serviceI.h"
#include "Event/cutVI.h"

//####################################
class cutEvtRead : public cutVI, public serviceI
//####################################
{
public:

	//construct
	cutEvtRead();
	~cutEvtRead(){}

	//! define the options of this class - optionVI
	virtual void defineOption();

	// access
	int numEvtSkip()   const {return m_nEvtSkip;}
	int numEvtRead()   const {return m_nEvtRead;}

	// operations
	virtual bool apply();

private:

	int m_nEvtSkip;
	int m_nEvtRead;
};
#endif
