
#include "generation/cutEvtScan.h"
#include "Event/dataManager.h"

#include "Event/messageManager.h"
#include "Event/optionManager.h"
#include "Event/dataManager.h"

//######################################
cutEvtScan::cutEvtScan()
//######################################
{
	//! dummy
	m_evtID = -1;
	m_evtIDList.clear();

	setName("cutEvtScan");
}
//######################################
bool cutEvtScan::apply()
//######################################
{
	bool valid = true;
	if (m_evtIDList.size() <= 0) return valid;

	valid = false;
	int ievt = dataManager::instance()->IO()->eventNumber()+1;

	for (int j = 0; j < m_evtIDList.size(); j++) {
		if (ievt == m_evtIDList[j]) {
			messageManager::instance()->message(" SCAN EVENT ",ievt);
			return true;
		}
	}
	return valid;
}
//######################################
void cutEvtScan::defineOption()
//######################################
{
	optionVI::defineOption("evtID",&m_evtID);
}
//######################################
void cutEvtScan::setOption(std::string varname, int icontent)
//######################################
{
	optionVI::setOption(varname,icontent);
	if (varname == "evtID") m_evtIDList.push_back(icontent);
}
