// $Header: /cvs/tb_recon/geometry/Tubs.cxx,v 1.1.1.1 2000/04/03 21:03:54 wilko Exp $
//  Author: T. Burnett
//
#include "Tubs.h"
#include "Wedge.h"


Tubs::Tubs( double z, double ri, double ro, double phi1, double phi2 )
: Tube(z,ri,ro)
{
  addSurface( new Wedge( center(), axis(),  phi1, phi2 ));
}

const Wedge&
Tubs::wedge()const{
 return (const Wedge&)surface(surfaceCount()-1);}


void Tubs::printOn( std::ostream&  ) const
{
}




