// $Header: /cvs/tb_recon/graphics/TubeRep.h,v 1.1.1.1 2000/04/03 21:03:58 wilko Exp $
//  Author: T. Burnett
// Project: Arve graphics
//
// Representation of a Tube with ArveScene

#ifndef TUBEREP_H
#define TUBEREP_H

#include "graphics/ArvePlottableRep.h"

class Tube;
class Shape;

class TubeRep : public ArvePlottableRep {
    
public:
    TubeRep(const Tube& tube):m_tube(tube){};
    
    TubeRep(const Shape& shape); 
    // special down-casting constructor
    
    void update();
private:
    const Tube& m_tube;
};
#endif //TUBEREP_H

