
#ifndef SIGEOCALIB_H
#define SIGEOCALIB_H

#include <stdlib.h>
#include <iostream>
#include <fstream>
#include <string>
#include "instrument/trackerDetGeo.h"
#include "Event/trsDataVI.h"
#include "Event/serviceI.h"


//#################################
class SiGeoCalib : public trackerDetGeo, public trsDataVI, public serviceI
//#################################
{
public:

	// construct
	SiGeoCalib()  {ini(); setName("SiGeoCalib");};
	~SiGeoCalib() {}

	// operations
	virtual void clear();
	virtual void make();
	virtual void writeOut() const {};

	//! define options from optionVI
	virtual void defineOption();

protected:

	virtual void ini();

	virtual void readLayer(std::istream& file);
	virtual void readLadder(std::istream& file);

private:

	std::string m_fileName;

};
#endif
