//     $Id: XScene.h,v 1.1 2000/05/04 15:02:28 terrier Exp $
//  Author: T. Burnett, G. Barrand
// Project: Arve graphics
// 
// It declares the class XScene, a specific  display
// for X11

#include <graphics/SceneControl.h>
#include <X11/Intrinsic.h>
#include <iostream.h>
class Xdraw;

class XScene : public  SceneControl
   {
 public:

   XScene(float size=100, Widget=0);
   // constructor. If no widget, it will create an X-display window
   ~XScene();
   // destructor

   int viewit();
   // Start an event or detector display

   void setViewPort (float xmin, float ymin, float xmax, float ymax);
   // set ViewPort from screen coordinates !!

   virtual void redisplay();
   // overrides SceneControl to make sure Xdraw is ready

   int processEvent(XEvent& myevent);
   // viewit and Motif use
 private:
   void viewitInstructions(std::ostream& =std::cout);
   int getEvent();
   // used for viewit interface

   Xdraw*       _drawer;   // associated VwDraw object
   Display*     _display; // X display, window
   Window       _window;

   Widget       _widget; // associated Widget if set by client

 };







