
#ifndef __CALCLUSTERSALG_H
#define __CALCLUSTERSALG_H 1

#include "Event/algorithmVI.h"

class CalRecLogs;
class CsIClusterList;
class CsICluster;
class Midnight;

//----------------------------------------------
//
//   CalClustersAlg
//
//   Algorithm Data constructor of CsIClusterList
//----------------------------------------------
//             J.A Hernando, Santa Cruz 02/29/00
//----------------------------------------------
//##########################################################
class CalClustersAlg : public algorithmVI
//##########################################################
{
public:

	// constructor
	CalClustersAlg(); 
	~CalClustersAlg(); 

	// operations
	virtual void initialize();
	virtual void execute();
	virtual void finalize();

	void Profile(double sum, CsICluster* cl);
private:

	CalRecLogs* m_CalRecLogs;
	CsIClusterList* m_CsIClusterList;
	Midnight* minuit;
};
      
#endif
