// $Id: Random.inl,v 1.1.1.1 2000/04/03 21:03:45 wilko Exp $
// -*- C++ -*-
// 
// -----------------------------------------------------------------------
//                             HEP Random
//                         --- HepRandom ---
//                 inlined functions implementation file
// -----------------------------------------------------------------------
// This file is part of Geant4 (simulation toolkit for HEP).

// =======================================================================
// Gabriele Cosmo - Created: 5th September 1995
//                - Added methods for engine status: 19th November 1996
//                - operator()() is now virtual: 28th July 1997
//                - Simplified initialisation of static generator: 5th Jan 1999
// =======================================================================

inline HepDouble HepRandom::flat(HepRandomEngine* theNewEngine)
{
  return theNewEngine->flat();
}

inline void HepRandom::flatArray(HepRandomEngine* theNewEngine, 
                                 const HepInt size, HepDouble* vect)
{
  theNewEngine->flatArray(size,vect);
}

