// -*- C++ -*-
// CLASSDOC OFF
// $Id: strstream.h,v 1.1.1.1 2000/04/03 21:03:44 wilko Exp $
// ---------------------------------------------------------------------------
// CLASSDOC ON
//
// This file is a part of the CLHEP - a Class Library for High Energy Physics.
//
// Work around compiler annoyance with strstream[.h]
//
#ifndef HEP_STRSTREAM_H
#define HEP_STRSTREAM_H

#include "CLHEP/config/CLHEP.h"

#ifndef HEP_USE_STD
#ifdef WIN32
#include <strstrea.h>
#else
#include <strstream.h>
#endif /* WIN32 */
#else
#include <strstream>
#endif /* HEP_USE_STD */

#endif /* HEP_STRSTREAM_H */
