#ifndef algorithmCommand_h
#define algorithmCommand_h

#include "Event/algorithmVI.h"
//-----------------------------
//! Class to convert an algorithm into a command
/*!
\c algorithmCommand is an algorithmVI.<br>
\c algorithmCommand	has null methods \c initialize() and \c finalize(). \c run() method is identicall to \c execute().
*/
//--------------------------
// JA Hernando, Santa Cruz 06/15/00
//--------------------------
//##########################
class algorithmCommand : public algorithmVI
//##########################
{
public:
	//! null the initalize
	virtual void initialize() {}
	//! null the finalize
	virtual void finalize() {}
};
#endif