#include "Event/userCuts.h"

#include "generation/cutEvtRead.h"
#include "generation/cutEvtScan.h"
#include "analysis/cutGammaTagger.h"
#include "analysis/cutGammaTracker.h"

//###############################
userCuts::userCuts()
//###############################
{
	/*! get the selectionManager */
	selectionManager* sM = selectionManager::instance();
	
	/*! create and add cuts to read selected number of events */
	sM->addCut("cutEvtRead", new cutEvtRead());
	sM->addCut("cutEvtScan", new cutEvtScan());

	/*! create and add cuts to select a good gamma */
 	sM->addCut("cutGammaTagger",   new cutGammaTagger());
	sM->addCut("cutGammaTracker",  new cutGammaTracker());
}