#ifndef CalHistoFolder_h
#define CalHistoFolder_h

#include "Event/rHistoFolder.h"

class CalADCLogs;
class CalRecLogs;
class CsIClusterList;

//###############################
class CalHistoFolder : public rHistoFolder
//###############################
{
public:
	
	//! Root Histogram and Ntuples folder for the CALorimter 
	CalHistoFolder() {m_cls=0;m_adc=0;m_rec=0;};
	~CalHistoFolder() {}

	virtual void fill();
	virtual void define();
	
private:

	void ntupleDefine(CalADCLogs* s);
	void ntupleFill(CalADCLogs* s);
	void ntupleDefine(CalRecLogs* s);
	void ntupleFill(CalRecLogs* s);
    void ntupleDefine(CsIClusterList* c);
	void ntupleFill(CsIClusterList* c);

	void histosDefine(CsIClusterList* s);
    void histosFill(CsIClusterList* s);

private:

	CalADCLogs* m_adc;
	CalRecLogs* m_rec;
	CsIClusterList* m_cls;

};
#endif