
#include "analysis/cutGammaTagger.h"
#include "Event/dataManager.h"
#include "generation/BeamTagger.h"

//######################################
bool cutGammaTagger::apply()
//######################################
{

	BeamTagger* tagger = 0 ;
	tagger = dataManager::instance()->getData("BeamTagger",tagger);

	if (!tagger->clean()) return false;
	if (tagger->nParticle() != 1) return  false;
	if (tagger->particleID(0) != 2) return false;

	return true;
}
