// $Id: config.h,v 1.1.1.1 2000/04/03 21:03:41 wilko Exp $
//
// This config.h file should really be maintained with autoconf.  But alas
// it isn't yet.   Besides, the sense of these macros is backwards. 
// Users of compilers that are NOT up to the standard should be required
// to define macros, not users that have standard complying compilers.
// -- Paul_Kunz@slac.stanford.edu


#ifndef ARVE_CONFIG_H
# define ARVE_CONFIG_H

// special hand-edited version for NT-VC
#ifdef _MSC_VER
/* Define if you have new ANSI iostreams. */
#ifndef HAVE_NEW_IOSTREAMS
#define HAVE_NEW_IOSTREAMS 1
#endif 

/* Define to `if(0);else for' if `for' does not establish
   scope as per ANSI standard. */
#undef for

/* Define if you have bool keyword. */
#define HAVE_BOOL  1

/* define if max() and min() template functions come with STL */
#undef CLHEP_MAX_MIN_DEFINED

#else 
/* special hand-edited version for egcs 1.1 or later */
#ifndef HAVE_NEW_IOSTREAMS
#define HAVE_NEW_IOSTREAMS 1
#endif 
#define HAVE_BOOL 1
#define CLHEP_MAX_MIN_DEFINED
#endif

/* *********************************************************************** */
/* *********************************************************************** */
/* *********************************************************************** */

#if !HAVE_BOOL
   typedef int bool;
#  define true 1
#  define false 0
# endif


#ifdef _MSC_VER
# pragma warning(disable:4786)  // '255' characters in the debug information
# pragma warning(disable:4244)  // conversion from double to float
# pragma warning(disable:4305)  // conversion from double to float (5.0)
#endif //_MSC_VER

#endif /* ARVE_CONFIG_H */
