#ifndef rawEventID_h
#define rawEventID_h

#include "Event/trsDataVI.h"

//####################################
class rawEventID : public trsDataVI
//####################################
{
public:

	//! constructor 
	rawEventID() {clear();}
	//! destructor
	~rawEventID() {clear();}

	//! returns the runID of the run in process
	int runID() const {return m_run;}
	//! returns the eventID of the event in process
	int eventID() const {return m_event;}

	//! set the runID of the run in process
	void setRunID(int run) {m_run = run;}
	//! set the eventID of the event in process
	void setEventID(int evt) {m_event = evt;}

	void clear() {m_run=-1;m_event=-1;}

private:

	//! null ini
	void ini() {}
	//! null make
	void make() {}

private:

	//! run ID
	int m_run;
	//! event ID
	int m_event;

};
#endif