// $Header: /cvs/tb_recon/graphics/ArveDisplayer.h,v 1.3 2000/05/11 18:58:33 hernando Exp $
//
#ifndef ARVEDISPLAYER_H
#define ARVEDISPLAYER_H
#include "graphics/ArvePlottableRep.h"

/////////////////////////////////////////////////////////////////////////////////
// Template class that makes it easy to create a display without needed to use
// inheritance 
//

template<class T>
class ArveDisplayer : public ArvePlottableRep {
public:
    ArveDisplayer(T* t):m_t(t){}
    void update(){m_t->update(*this);}
private:
    T* m_t;
};

#endif