//     $Id: Axes.h,v 1.1.1.1 2000/04/03 21:03:56 wilko Exp $
// Project: Arve graphics
//  Author: Toby Burnett
//
// A special <<Plottable>> that displays coordinate axes.

#ifndef AXES_H
#define AXES_H


#include "arve/config.h"
#include "display/Plottable.h"

class Axes: public Plottable
{
public:

	Axes(float scale=1.)	: m_scale(scale){}
	PlottableModel* model()const;

 private:
      double m_scale;
      class Model; 
};

#endif

