#ifndef towerDetGeo_h
#define towerDetGeo_h

#include "instrument/trackerDetGeo.h"
#include "instrument/calorimeterDetGeo.h"

//#######################
class towerDetGeo
//#######################
{
public:

	towerDetGeo();
	~towerDetGeo();

	trackerDetGeo* tracker() const {return m_tracker;}
	calorimeterDetGeo* cal() const {return m_calorimeter;}

private:

	trackerDetGeo* m_tracker;
	calorimeterDetGeo* m_calorimeter;

};
#endif