//     $Id: WinScene.h,v 1.1.1.1 2000/04/03 21:04:07 wilko Exp $
//  Author: T. Burnett
// Project: Arve graphics
//
// It declares the class WinScene, a specific  display
// using Windows

#include "graphics/SceneControl.h"
#define STRICT
#include <windows.h>

class Projector;

class WinDraw;

class WinScene  : public SceneControl
{
public:

    WinScene(HWND win, float size=100);
    // constuctor

    ~WinScene();
    // dtor

    virtual void redisplay();
    // set to redisplay

    void redisplay(HDC hdc);
    // special for windows

    virtual void print_commands(std::ostream& );
    // override to describe mouse commands, special keys

    void mouseClick( int, int);
    // process mouse click

private:

    WinDraw * m_wd;
    // associated Windraw object

    Projector* m_proj; // the projector object for this scene


};



